lp:ubuntu/oneiric/at-spi2-core

Created by James Westby on 2011-04-28 and last modified on 2011-09-27
Get this branch:
bzr branch lp:ubuntu/oneiric/at-spi2-core
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

31. By Luke Yelavich on 2011-09-27

* New upstream release
  - Updated translations

30. By Luke Yelavich on 2011-09-23

* New upstream release
  - Fixed a crash when handling event listeners.
  - Fix for BGO#659088: Correctly define ATSPI_MODIFIER_NUMLOCK.
  - Add some defensive checks to prevent problems with defunct objects.
  - BGO#657051: Fix a build error on Solaris.
  - Fix some missing return statements.
  - Some fixes related to deregistering event listeners.

29. By Luke Yelavich on 2011-09-06

* New upstream release
  - Fixed a crash when deregistering event listeners.
  - Made DBus IsEnabled property readwrite.

28. By Luke Yelavich on 2011-09-05

Fix typo which saw the needed file for the last upload get placed in the
wrong location

27. By Luke Yelavich on 2011-09-05

Set the QT_ACCESSIBILITY environment variable if the toolkit-accessibility
gsettings key is enabled

26. By Luke Yelavich on 2011-09-01

* New upstream release
  - Fixed a memory leak on DBus errors.
  - Added org.a11y.Status.IsEnabled (currently a read-only property) to the
    bus launcher.
  - Fix for BGO#656004: atspi_accessible_get_relation_set returns a GArray
    again.
  - Numerous documentation fixes from Aline Bessa.
  - CLean up device listeners from disconnected applications.
  - Fix for BGO#657585: Do not crash when the bus launcher is unable to open
    the X display. (LP: #829370)
* Update symbols

25. By Luke Yelavich on 2011-08-30

debian/control: libatspi2.0-0 should not conflict with libatspi1.0-0
(LP: #836798)

24. By Martin Pitt on 2011-08-26

debian/control: Drop at-spi2-core conflicts to at-spi. This was meant for
cleaning up the old package, but confuses apt on upgrade to rather hold
back the old one than upgrading to the new one. (LP: #828759)

23. By Luke Yelavich on 2011-08-16

* New upstream release
  - Propertly free DBus error in atspi_accessible_get_process_id.
  - Clean up names of some private functions.
  - Move DBus interface name constants into atspi-constants.h and make public.
  - Remove support for relocated CORBA.
  - Fix for BGO#655127: Avoid Python crash for
    atspi_accessible_get_relation_set.
* Update symbol files

22. By Luke Yelavich on 2011-07-26

* New upstream release
  - Some API changes to device and event listeners for compatibility with
    Javascript.
  - Fix for BGO#654314: make role names consistent with atk.
  - FIx for BGO#654921: Run within Unity.
  - Added some new roles.
* debian/patches/onlyshowin_unity.patch: Drop, applied upstream
* debian/libatspi2.0-0.symbols: Updated

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/at-spi2-core
This branch contains Public information 
Everyone can see this information.

Subscribers